Docs
Ctrl K
APICRMDealsCreate Deal

Create Deal

Create a CRM deal. dealName is required. Defaults: pipeline Sales Pipeline, dealStage Appointment Scheduled, type one-time. For recurring deals set type to recurring with billingFrequency (Monthly, Quarterly, Semi-Annual, Annual) and recurringAmount. A deal created in a won stage must include amount (or recurringAmount for recurring deals), otherwise 400. Responds 201 and runs deal_created CRM workflows.

Created: September 16, 2026

Updated: September 16, 2026

Overview

POST

https://dashboard.vinsi.ai/api/crm/deals

Request

Headers

Content-Type

string

application/json
x-api-key

string

REQUIRED

Request Body

{13 items
"dealName":string"Acme Dental - Annual Plan"
"pipeline":string"Sales Pipeline"
"dealStage":string"Appointment Scheduled"
"amount":int12000
"closeDate":string"2026-10-31"
"dealOwnerId":string"cmexampleuser0000000000001"
"dealType":string"New Business"
"priority":string"High"
"contactId":int1042
"companyId":int318
"type":string"one-time"
"billingFrequency":null
"recurringAmount":null
}

Response

{17 items
"id":int77
"organizationId":string"cmexampleorg00000000000001"
"dealName":string"Acme Dental - Annual Plan"
"pipeline":string"Sales Pipeline"
"dealStage":string"Appointment Scheduled"
"amount":int12000
"closeDate":string"2026-10-31T00:00:00.000Z"
"dealOwnerId":string"cmexampleuser0000000000001"
"dealType":string"New Business"
"priority":string"High"
"contactId":int1042
"companyId":int318
"createdAt":string"2026-09-05T16:00:00.000Z"
"updatedAt":string"2026-09-05T16:00:00.000Z"
"type":string"one-time"
"billingFrequency":null
"recurringAmount":null
}

Endpoint Explorer

Note: You must be already authenticated on https://dashboard.vinsi.ai/ to use this API tester.

POST

Headers

Content-Type: *
x-api-key: *

Response

No response yet. Click Send to test the API.